PostgreSQL 8.1.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SPI_getargcount

## Name

SPI_getargcount -- return the number of arguments needed by a plan prepared by `SPI_prepare`

## Synopsis

    int SPI_getargcount(void * plan)

## Description

`SPI_getargcount` returns the number of arguments needed to execute a plan prepared by `SPI_prepare`.

## Arguments

`void * `plan``

  execution plan (returned by `SPI_prepare`)

## Return Value

The expected argument count for the `plan`, or `SPI_ERROR_ARGUMENT` if the `plan` is `NULL`

Prev | Home | Next
SPI_prepare | Up | SPI_getargtypeid